# Licensing

### Licensing Options

NetObserv Flow is available in three license tiers. The license tier determined a number of collector attributes, including the volume of flow records the collector can process (flow records per second), as well as which information elements (IEs) are supported.

| Features                                                        | Community |  Basic | Premium |
| --------------------------------------------------------------- | :-------: | :----: | :-----: |
| IE                                                              |  limited  | single |  multi  |
| [IPFIX](/flowcoll/supported_ie/supported_ie_ipfix.md)           |     83    |   450  |   4835  |
| [Netflow](/flowcoll/supported_ie/supported_ie_netflow.md)       |    152    |   519  |   1613  |
| [sFlow](/flowcoll/supported_ie/supported_ie_sflow.md)           |    187    |   206  |   939   |
| [AWS VPC Flow Logs](/flowcoll/supported_ie/supported_ie_aws.md) |     37    |   37   |    37   |
| [Azure Flow Logs](/flowcoll/supported_ie/supported_ie_azure.md) |     24    |   24   |    24   |

{% hint style="info" %}
The Community license is limited to 500 flow records/second.
{% endhint %}

{% hint style="info" %}
The flow records per second limit for the Community and Basic license applies to the person or entity accepting the license. It does \_\*\*not\*\*\_ allow for running multiple instances.
{% endhint %}

{% hint style="info" %}
The flow records per second available with a Standard or Premium license is determined by the license key. This volume may be split between multiple instances of the collector, as long as the total volume does not exceed the flow records per second allowed by the license.
{% endhint %}

By default the flow records per second will be set based on the provided license key. However, this volume can be configured manually for each instance. This is usually done when it is desired to use multiple instances of the collector. For example, a subscription for 16,000 flow records per second can be split into 2 instances, of 8,000 flow records per second each, by setting `EF_LICENSE_FLOW_RECORDS_PER_SECOND: 8000` for each instance. If set to a value greater than allowed by the license key, the instances will be started with the flow records per second from the license key.

#### Requesting a License

You can request a [Basic License](https://www.elastiflow.com/basic-license) via the [ElastiFlow website](https://www.elastiflow.com/basic-license). This license will be good for one year, after which it can be renewed by requesting a new license. The Basic License only supports polling of Standard MIBS (IEEE and IETF).

You can also request a [30-day Premium Trial License](https://www.elastiflow.com/trial) via the [ElastiFlow website](https://www.elastiflow.com/trial). This license can only be renewed with approval of ElastiFlow. To request an extension, please send an email to <sales@elastiflow.com>.

The license key for ElastiFlow Premium Tier customers will be made available through our support system. A ticket will be opened, from which an authorized user can download the license key.

#### Adding a License

The following is an example of a license configuration, as defined in a docker-compose file:

```yaml
EF_LICENSE_ACCEPTED: 'true'
EF_ACCOUNT_ID: '606abcdefe3546eee123456a'

EF_LICENSE_KEY: 'eyJhbGciOiJIUzI1HghIEjTUI6IkpXVCJ9.eyJhdWQiOiJKNHHFYTFKNJKHgkjKjknhLjKJkhyiiutUYfyrdIutKjsYXN0aWZsb3ciLCJzdWIiOiI2MDNkODUwMDMzZDg2YjA3OTE5YjE5Y2EiLCJjb3IiOjEyOCwibHZsIjo5fQ.FQtYWSWutfjn9q6876GHgf5fghir45vsuDnxrDldbd7xR8'
```

and as defined in the systemd configuration:

```conf
export EF_LICENSE_ACCEPTED=true
export EF_ACCOUNT_ID=606abcdefe3546eee123456a

export EF_LICENSE_KEY=eyJhbGciOiJIUzI1HghIEjTUI6IkpXVCJ9.eyJhdWQiOiJKNHHFYTFKNJKHgkjKjknhLjKJkhyiiutUYfyrdIutKjsYXN0aWZsb3ciLCJzdWIiOiI2MDNkODUwMDMzZDg2YjA3OTE5YjE5Y2EiLCJjb3IiOjEyOCwibHZsIjo5fQ.FQtYWSWutfjn9q6876GHgf5fghir45vsuDnxrDldbd7xR8
```

### Licensing Configuration

#### EF\_LICENSE\_ACCEPTED

To use ElastiFlow NetObserv it is necessary to accept the terms of the License Agreement. By running this software, you and/or the organization using the software agree and are bound to the terms of an ElastiFlow Inc. End-User License Agreement (EULA). For the Community (no license key), Basic and Trial tiers, the applicable license is the ElastiFlow Community EULA, which may be found at: <https://www.elastiflow.com/community-license>. For Standard and Premium Commercial tiers the applicable license is the ElastiFlow Standard EULA, or other terms agreed in writing with ElastiFlow Inc. The ElastiFlow Standard EULA may be found at: <https://www.elastiflow.com/commercial-license>.

* Default
  * `false`

#### EF\_ACCOUNT\_ID

License keys are generated per account. This field must contain the Account ID for the License Key specified in `EF_LICENSE_KEY`.

#### EF\_LICENSE\_KEY

This field contains the License Key issued for this instance of collector. EF\_ACCOUNT\_ID must also contain the Account ID to which this key belongs.

#### EF\_LICENSE\_FLOW\_RECORDS\_PER\_SECOND

NetObserv Flow is licensed by flow records per second. A Community license (no license key provided) is limited to 500 flow records per second. By default, the maximum flow records per second will be set based on the provided license key. However, this maximum can be configured manually for a given instance. This is usually done when it is desired to use multiple instances of the collector. For example, a subscription for 16,000 licensed flow records per second can be split into 2 instances, of 8,000 flow records per second each, by setting `EF_LICENSE_FLOW_RECORDS_PER_SECOND: 8000` for each instance. If set to a value greater than allowed by the license key, the instances will be started with the flow records per second based on the license key.

* Default
  * `0` (uses the flow records per second based on the license)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elastiflow.com/flowcoll/configuration/config_gen/license.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
